TAAS - Feature #148

Supplier Overdue Report
02/02/2023 03:22 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 02/02/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Supplier Overdue Report

Description

Coding Supplier Overdue Report

History

#1 - 02/23/2023 08:09 PM - Junaid M
- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 02/23/2023 08:09 PM - Junaid M
- Assignee changed from Junaid M to Akash B

#3 - 02/24/2023 11:32 AM - Akash B
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 02/28/2023 10:39 AM - Junaid M
- File SQL-SUP-OVERDUE.SQL added

#5 - 02/28/2023 06:31 PM - Akash B
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#6 - 03/02/2023 12:26 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.Search results must be sort based on,

Payment Terms (Selection Box)
Consider Matching Done After To Date (check box)
Consider (Selection box)
Debit & Credit (Check Box)

2.Show proper information on grid  (Due Date -> Wrong Details)

#7 - 03/03/2023 02:50 PM - Akash B
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

#8 - 07/10/2023 04:56 PM - unnikannan S
- Status changed from Patrticialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.UI CRASHING WHILE SELECTING MODULE AND SEARCH

2.DROP OPTION MISSING FROM

CURRENCY,STATUS,MODULE

3.CHANGE REPORT LIST INTO LIST IN GRID

4.CHANGE TOOL TIP OF AS ON DATE INTO AS ON TRANSACTION DATE

#9 - 07/17/2023 11:54 AM - Junaid M
- Assignee changed from Akash B to Amal Siby

#10 - 08/02/2023 06:49 PM - Amal Siby
Bug Fixed.

Pending To Do

=> Search to Do based on( Credit Limit, Credit Limit based On) According to New Changed In Supplier.

=> Module Sorting.

#11 - 08/21/2023 06:58 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Completed.

#12 - 11/06/2023 03:13 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED****

1. MISSING ERASER FILTER TAB.
2. PAYMENT TERMS DATA MUST BE IN PRINT.

#13 - 11/07/2023 08:24 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 11/11/2023 11:54 AM - unnikannan S
ISSUE FOUNDED

1.SHOW ACT US CLIENT A/C'S DATA (BASED ON CONSIDER FILTER)
2.SHOW DATA BASED ON SELECTING PAYMENT TERMS ITEMS WITJOUT CHECK BOX

#15 - 01/16/2024 12:52 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.SHOW DATA AS PER CHOOSEN PAYMENT TERMS BY SUPPLIERS ONLY
2.EFFECTIVE DATE IS MANDATORY

3.0UTSTANDING=UP TO AS ON DATE:NET OUTSTANDING

4.ADD A BLANK OPTION FOR PAYMENT TERMS FIELD

5.REDUCE CURRENCY COLUMN WIDTH IN LIST
#16 - 03/22/2024 02:57 PM - Anil KV
- Assignee changed from Amal Siby to Athul P

#17 - 05/08/2024 10:12 AM - Junaid M

- Status changed from Reopen Bugs to New Changes

#18 - 08/20/2024 12:09 PM - Athul P
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#19 - 09/30/2024 07:19 PM - unnikannan S
- Status changed from New Changes Coding Done to Testing Done

- % Done changed from 70 to 90

#20 - 10/02/2024 10:42 AM - Anonymous
- Assignee changed from Athul P to Junaid M

#21 - 10/03/2024 05:44 PM - Junaid M
Workflow Changes [03/10/2024]

Customer, Supplier Master:
1. In System Tab -> Credit Limit Based On -> Add validation, If "Credit Limit Amount" is given then "Credit Li
mit Based On" is mandatory.

Extra Credit Limit/Payment Days

1. Split Extra Limit widget. Add Currency as label on right side

Customer Overdue/Supplier/Staff Overdue Report

1. Add title if there is a start mark on widgets.
2. Add blank option in currency selectbox In Search filter area

3. Workflow change:- -> If Chooses Currency = "Ledger Currency" then only show overdue of accounts in which cr
edit limit is set based on "Account Currency"
—-> If Chooses Currency = "Basel Currency" then only show overdue of accounts in which cre

dit limit is set based on "Base Currency"

—-> If Chooses Currency = "Individual Currency" then only show overdue of accounts in which transa
ction currency is selected Currency.

—> If Chooses Currency = "Blank Currency" option then only show overdue of accounts in all curren
cy

#22 - 10/03/2024 05:59 PM - Junaid M
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50

#23 - 11/25/2024 11:08 AM - Arathy PS
- Assignee changed from Junaid M to Vivekp V

#24 - 11/26/2024 11:45 AM - Arathy PS

- Status changed from New Changes to Reopen Bugs

NEW CHANGES DONE

1. Add an additional column 'Total Due Amount' with title: total due upto the end of bill period, also add title for due amount.
2. Add an option on the constrain: 'Overdue based on total due amount'(default tick) add title.

ISSUE FIXED

1. Data showing when calculation based on: 'debit & credit outstanding net' or 'debit & credit net' is selected and only debit entry is present for the
selected as on and effective date then data is showing.

#25 - 11/28/2024 06:21 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 01/03/2025 12:20 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

NEW CHANGES

1. The data in 'calculation based on' field should appear based on the admin settings.

#27 - 01/03/2025 12:21 PM - Arathy PS

- Assignee changed from Vivekp V to Augustin Jose

#28 - 01/07/2025 10:46 AM - Augustin Jose
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#29 - 01/13/2025 11:40 AM - Arathy PS
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

New Changes

1. Three new fields are added in the payment terms--Submission Date, Corporate Approved (Submission), Corporate Approved (Invoice).
-- Make corresponding changes here also
-- Discuss with vivek and anil

#30 - 01/28/2025 04:31 PM - Theja Ponon
- File clipboard-202501281630-0an53.png added

- Status changed from New Changes to Reopen Bugs
#31 - 01/28/2025 04:45 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#32 - 01/29/2025 01:03 PM - Augustin Jose
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#33 - 02/22/2025 03:19 PM - Augustin Jose
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70
#34 - 03/03/2025 10:54 AM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)overdue is not showing when payment term is set based on submission date

#35 - 03/08/2025 12:44 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

SQL-SUP-OVERDUE.SQL 3.29 KB 02/28/2023 Junaid M

clipboard-202501281630-0an53.png 78 KB 01/28/2025 Theja Ponon
